#include "Random.h"
#include "BoostRandom.h"
#include "StdRandom.h"

#include <ctime>

Random * Random::instance = NULL;

Random::Random() { /* Empty */ }
Random::~Random() { /* Empty */ }

Random * Random::getInstance() {
  if ( !instance )
    instance = new RandomImplementationType();
  return instance;
}
void Random::deleteInstance() {
  if ( instance )
    delete instance;
  instance = NULL;
}
